Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236524 - bonding patch breaks network
Summary: bonding patch breaks network
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Herbert Xu
QA Contact: Martin Jenner
URL: http://www.redhat.com/archives/fedora...
Whiteboard:
Depends On: 237667
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 01:15 UTC by Curtis Doty
Modified: 2008-02-27 00:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:05:01 UTC


Attachments (Terms of Use)
Fix addr_pfx test (deleted)
2007-04-28 04:14 UTC, Herbert Xu
no flags Details | Diff

Description Curtis Doty 2007-04-16 01:15:45 UTC
I don't understand why the bonding patch for bug #213559 also breaks the way
addr_pfx is set. This causes the interface to break as soon as xend is started.

Here's yet another way. Which also simplifes the setting of both vars in
get_ip_info() {
    addr_pfx=`ip -o addr show dev $1 |awk '$3=="inet"{print$4}'`
    gateway=`ip route show dev $1 |awk '/^default via/{print$3}'`
}

Comment 1 Herbert Xu 2007-04-28 04:14:43 UTC
Created attachment 153683 [details]
Fix addr_pfx test

Actually, the problem is that there is a test on the value of addr_pfx that
can't handle spaces.  This patch should fix the problem.

Comment 2 Red Hat Bugzilla 2007-07-25 00:07:44 UTC
change QA contact

Comment 3 Chris Lalancette 2008-02-27 00:05:01 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.